cancel
Showing results for 
Search instead for 
Did you mean: 

Magento Upgraded itself from 1.9.2.4 to 1.9.3 - Price error

Magento Upgraded itself from 1.9.2.4 to 1.9.3 - Price error

Hi,

 

My Magento Upgraded itself from 1.9.2.4 to 1.9.3 don't know how. But I'm getting error in loading configurable products pricing when select different combinations from the drop downs.

 

 Here is the error: 

 

configurable.js:286 Uncaught TypeError: Cannot read property 'changePrice' of undefined

 

reloadPrice @ configurable.js:286

configureElement @ configurable.js:137

configure @ configurable.js:121

Product.Config.configure @ swatches-product.js:60

(anonymous function) @ prototype.js:391

responder @ prototype.js:5598

3 REPLIES

Re: Magento Upgraded itself from 1.9.2.4 to 1.9.3 - Price error

Clear data, upgrade again. I have search your problem but nothing to see. Or you can try other magento upgrade guide.

Re: Magento Upgraded itself from 1.9.2.4 to 1.9.3 - Price error

Hallo,

I am facing exactly the same problem

I get the following error -

Uncaught TypeError: Cannot read property 'changePrice' of undefined
    at klass.reloadPrice (configurable.js:286)
    at klass.configureElement (configurable.js:137)
    at klass.configure [as origConfigure] (configurable.js:121)
    at klass.Product.Config.configure (swatches-product.js:1)
    at HTMLSelectElement.<anonymous> (prototype.js:391)
    at HTMLSelectElement.responder (prototype.js:5598)
reloadPrice @ configurable.js:286
configureElement @ configurable.js:137
configure @ configurable.js:121
Product.Config.configure @ swatches-product.js:1
(anonymous) @ prototype.js:391
responder @ prototype.js:5598

Re: Magento Upgraded itself from 1.9.2.4 to 1.9.3 - Price error